Subject: Re: [bitcoin-dev] BIP draft: Extended block header hardfork

From: Tom Zander <[email-masked]>
Date: Tue, 04 Apr 2017 18:17:02 +0200

I notice you didn’t read the actual full line :)
If you click on it, you’ll notice at the end of the line it says;

“chainparams.GetConsensus().BIP34Hash”

so, this is about BIP34.

On Tuesday, 4 April 2017 17:44:40 CEST Greg Sanders wrote:
> That's BIP30, he linked BIP34:
> https://github.com/bitcoin/bitcoin/blob/master/src/validation.cpp#L3004
> 
> On Tue, Apr 4, 2017 at 11:32 AM, Tom Zander via bitcoin-dev <
> 
> [email-masked]> wrote:
> > Can you tell me where it is enforced?
> > 
> > The only place I found was here;
> > https://github.com/bitcoin/bitcoin/blob/master/src/validation.cpp#L1793
> > 
> > which doesn’t enforce it, all that code does is check that the txid is
> > unknown or fully spent.
> > And since the below idea from Russel would change the txid, it would
> > seem
> > no
> > full client would reject this.
> > 
> > Maybe its in a BIP, but I can’t find it in the code.
> > 
> > On Tuesday, 4 April 2017 16:59:12 CEST James Hilliard wrote:
> > > It is a consensus rule
> > > https://github.com/bitcoin/bips/blob/master/bip-0034.mediawiki
> > > 
> > > On Tue, Apr 4, 2017 at 6:47 AM, Tom Zander via bitcoin-dev
> > > 
> > > <[email-masked]> wrote:
> > > > On Sunday, 2 April 2017 22:39:13 CEST Russell O'Connor via
> > > > bitcoin-dev
> > > > 
> > > > wrote:
> > > >>  Someone told me a while back that it would be more natural if we
> > > >>  move
> > > >>  the
> > > >> 
> > > >> nHeight from the coinbase script to the coinbase locktime.  Have
> > > >> you
> > > >> considered doing this?
> > > > 
> > > > That change would not be a consensus change and thus free to make
> > > > any
> > > > day.

-- 
Tom Zander
Blog: https://zander.github.io
Vlog: https://vimeo.com/channels/tomscryptochannel